import { Optional } from "./optional";
export declare class Some<T> implements Optional<T> {
    readonly value: T;
    constructor(value: T);
    get get(): T;
    getOrElse(defaultValue: T): T;
    orElse(defaultValue: Optional<T>): Optional<T>;
    readonly isDefined = true;
    readonly isEmpty = false;
    map<U>(f: (value: T) => U): Optional<U>;
    flatMap<U>(f: (value: T) => Optional<U>): Optional<U>;
    equals(compare: Optional<T>): boolean;
    fold<U>(left: () => U, right: (value: T) => U): U;
    unwrap(or: Error): T;
}
export declare function some<T>(value: T): Some<T>;
